task DownSample {
    File    in_fastq
    Int     N
    String  docker
    String  cluster_config
    String  disk_size

    command <<<
        set -o pipefail
        set -e
        out_fastq=$(echo "$(basename ${in_fastq})" | sed "s/.\(fastq\|fq\).gz/_downTo${N}.fastq.gz/")
        seqkit sample -n ${N} ${in_fastq} -o $out_fastq
        echo "$out_fastq"
    >>>

    runtime {
        docker: docker
        cluster: cluster_config
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }
    output {
        File out_fastq = sub(basename(in_fastq), "\\.(fastq|fq)\\.gz$", "_downTo${N}.fastq.gz")
    }

}
